/* Exemplet visar hur man deklarera funktioner och kopplar element
   till händelse och funktion. Det visas också hur man anropar en
   funktion ifrån en annan funktion. */
// --------------------------------------------------

// Program som körs då webbsidan laddats in
function init() {
   console.log("Nu är vi igång");

    // Koppla element till funktioner
	document.querySelector("#myBtn").addEventListener("click", btnFunc);
	document.querySelector("#myElem").addEventListener("click", elemFunc);
    document.querySelector("#myImg").addEventListener("click", imgFunc);
} // Slut init
window.addEventListener("load", init); // init anropas då webbsidan är inladdad
// --------------------------------------------------
// Funktionen anropas, då man klickar på knappen
function btnFunc() {
	console.log("--- Nu är vi i btnFunc");

	anotherFunc(); // Anrop av funktionen anotherFunc

	console.log("--- Nu är vi tillbaks i btnFunc");
} // Slut btnFunc
// --------------------------------------------------
// Funktionen anropas, då man klickar på p-elementet
function elemFunc() {
	console.log("--- Nu är vi i elemFunc");
} // Slut elemFunc
// --------------------------------------------------
// Funktionen anropas, då man klickar på img-elementet
function imgFunc() {
	console.log("--- Nu är vi i imgFunc");
} // Slut imgFunc
// --------------------------------------------------
// Funktionen anropas från funktionen oneFunc
function anotherFunc() {
	console.log("------ Nu är vi i anotherFunc");
} // Slut anotherFunc
// --------------------------------------------------
